monadic_fold_right.hpp File Reference

Forward declares `boost::hana::monadic_fold_right`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

template<typename M >
constexpr auto | boost::hana::monadic_fold_right
| Monadic right-fold of a structure with a binary operation and an optional initial reduction state. More...

## Detailed Description

Forward declares `boost::hana::monadic_fold_right`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)